\name{indicator}
\alias{indicator}
\alias{howmany}
\alias{whatfraction}
\title{The indicator function, and friends}
\description{
  The indicator function maps TRUE to 1 and FALSE to 0.
}
\usage{
indicator(b)
howmany(b)
whatfraction(b)
}
\arguments{
  \item{b}{a vector of booleans}
}
\value{
  \item{indicator(b)}{a vector of integers, 1 for TRUE, 0 for FALSE, NA
    for NA}
  \item{howmany(b)}{the number of elements of \code{b} which are
    TRUE. Note that NA counts as FALSE.}
  \item{whatfraction(b)}{the fraction of elements of \code{b} which are
    TRUE. NAs are removed before calculating this.}
}
\author{DJW}
\examples{
indicator(1:10>3.3)
howmany(1:10>3.3)
whatfraction(1:10>3.3)
}
\keyword{arith}
