\name{maxsafe}
\alias{maxsafe}
\alias{minsafe}
\alias{minsafelist}
\title{More versatile versions of max and min}
\description{
  Like \code{max} and \code{min}, except: (1) no warning when an empty
  argument is encountered; (2) minsafe additionally recurses into lists,
  so there is no need to wrap it up with a call to \code{\link{do.call}}
}
\usage{
maxsafe(...)
minsafe(...)
}
\arguments{
  \item{...}{For \code{maxsafe}, a collection of items for which the
    maximum is to be found; for \code{minsafe} either a collection of
    items or a list of items}
}
\details{
  Note: minsafe recurses into lists, while maxsafe does not.
}
\value{
  The maximum or minimum respectively
}
\author{DJW}
\seealso{\code{\link{rep}}}
\examples{
maxsafe()
}
\keyword{arith}
